petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerBinarySetUseMPIIO

Sets a binary viewer to use MPI-IO for reading/writing. Must be called before PetscViewerFileSetName()

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetUseMPIIO(PetscViewer viewer,PetscBool flg)

Logically Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer; must be a binary
| flg | - PETSC_TRUE means MPI-IO will be used

### Options Database

-viewer_binary_mpiio : Flag for using MPI-IO

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen(),
PetscViewerBinaryGetUseMPIIO()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Examples

src/dm/examples/tutorials/ex15.c.html

### Implementations

PetscViewerBinarySetUseMPIIO_Binary in src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages